# По данным n n n отрезкам необходимо найти множество точек минимального размера, для которого каждый
# из отрезков содержит хотя бы одну из точек.
#
# В первой строке дано число 1≤n≤100 1 \le n \le 100 1≤n≤100 отрезков. Каждая из последующих n n n строк
# содержит по два числа 0≤l≤r≤109 0 \le l \le r \le 10^9 0≤l≤r≤109,
# задающих начало и конец отрезка. Выведите оптимальное число m m m точек и сами m m m точек. Если таких
# множеств точек несколько, выведите любое из них.

points = [list(map(int, input().split())) for i in range(int(input()))]

out = []
for p in reversed(sorted(points)):
    if not out or out[-1] > p[1]:
        out.append(p[0])

print(len(out))
print(*out)